<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.11
Name: [4] Przedmiot skierowania do szpitala psychiatrycznego
Description: Szablon CDA dla przedmiotu skierowania do szpitala psychiatrycznego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000">
   <title>[4] Przedmiot skierowania do szpitala psychiatrycznego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.11
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]
Item: (plCdaPsychiatricHospitalRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]"
         id="tmp-r-aaca9213-cbbc-48f7-ba6b-a57779079a22">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11'])&lt;=1">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.11
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']
Item: (plCdaPsychiatricHospitalRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']"
         id="tmp-r-614f60c7-126d-411d-8696-b7287714af84">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaPsychiatricHospitalRequestedEncounterEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.11'] | self::hl7:encounter[@classCode='ENC' and @moodCode='RQO'])])">(plCdaPsychiatricHospitalRequestedEncounterEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot skierowania do szpitala psychiatrycznego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.11'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.11']/@nullFlavor)">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.11'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.11'])&lt;=1">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.11'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:encounter)&gt;=1 and not(hl7:encounter/@nullFlavor)">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:encounter jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:encounter)&lt;=1">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:encounter występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.11
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.11']
Item: (plCdaPsychiatricHospitalRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.11']"
         id="tmp-r-2d05521a-83c5-4fe2-9f32-338330edae91">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.11'">(plCdaPsychiatricHospitalRequestedEncounterEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.11'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPsychiatricHospitalRequestedEncounterEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.11
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter
Item: (plCdaPsychiatricHospitalRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter"
         id="tmp-r-8a7bde21-f7a5-4103-a007-5fe3a6d693e4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="string(@classCode)='ENC'">(plCdaPsychiatricHospitalRequestedEncounterEntry): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaPsychiatricHospitalRequestedEncounterEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="string(@moodCode)='RQO'">(plCdaPsychiatricHospitalRequestedEncounterEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaPsychiatricHospitalRequestedEncounterEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'] | self::hl7:text | self::hl7:effectiveTime | self::hl7:priorityCode[@codeSystem='2.16.840.1.113883.5.7'])])">(plCdaPsychiatricHospitalRequestedEncounterEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot skierowania do szpitala psychiatrycznego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaPsychiatricHospitalRequestedEncounterEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.11
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:id
Item: (plCdaPsychiatricHospitalRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:id"
         id="tmp-r-904768d5-386b-413d-8366-483950025cb1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPsychiatricHospitalRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.11
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:code
Item: (plCdaPsychiatricHospitalRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:code"
         id="tmp-r-7c983c43-5452-4e5a-9aa8-d37dca3d65d8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPsychiatricHospitalRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:text"
         id="tmp-r-a82d5372-c63b-4e83-8465-76c7a8fc02af">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:text/hl7:reference"
         id="tmp-r-ca86b38d-4f1c-4394-aad6-1387faf5658e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.11
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:effectiveTime
Item: (plCdaPsychiatricHospitalRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:effectiveTime"
         id="tmp-r-85f7b297-1fc9-42c8-a73a-92dffe2f66cc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPsychiatricHospitalRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.11
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:priorityCode
Item: (plCdaPsychiatricHospitalRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.11']/hl7:encounter/hl7:priorityCode"
         id="tmp-r-30e652bc-9ba6-4e89-ae7a-abbd7b87197a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.11-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPsychiatricHospitalRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
